diff --git c/scala/collection/immutable/LongMap$Nil$.class w/scala/collection/immutable/LongMap$Nil$.class
index c3a6d77e12..65f2cf7989 100644
--- c/scala/collection/immutable/LongMap$Nil$.class
+++ w/scala/collection/immutable/LongMap$Nil$.class
@@ -2,7 +2,7 @@ InnerClasses:
 public final #= # of #; //Nil$=class scala/collection/immutable/LongMap$Nil$ of class scala/collection/immutable/LongMap
 
 Compiled from "LongMap.scala"
-public final class scala.collection.immutable.LongMap$Nil$ extends scala.collection.immutable.LongMap implements scala.ScalaObject,scala.Product,scala.Serializable{
+public final class scala.collection.immutable.LongMap$Nil$ extends scala.collection.immutable.LongMap implements scala.Product,scala.Serializable{
 public static final scala.collection.immutable.LongMap$Nil$ MODULE$;
   Signature: Lscala/collection/immutable/LongMap$Nil$;
 
diff --git c/scala/collection/immutable/LongMap$Tip.class w/scala/collection/immutable/LongMap$Tip.class
index dacd40d433..ae3fd10059 100644
--- c/scala/collection/immutable/LongMap$Tip.class
+++ w/scala/collection/immutable/LongMap$Tip.class
@@ -2,7 +2,7 @@ InnerClasses:
 public #= # of #; //Tip=class scala/collection/immutable/LongMap$Tip of class scala/collection/immutable/LongMap
 
 Compiled from "LongMap.scala"
-public class scala.collection.immutable.LongMap$Tip extends scala.collection.immutable.LongMap implements scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.collection.immutable.LongMap$Tip extends scala.collection.immutable.LongMap implements scala.Product,scala.Serializable{
 private final long key;
   Signature: J
 
diff --git c/scala/collection/immutable/LongMap.class w/scala/collection/immutable/LongMap.class
index 5bed24cedc..7acd412efa 100644
--- c/scala/collection/immutable/LongMap.class
+++ w/scala/collection/immutable/LongMap.class
@@ -7,7 +7,7 @@ public final #= # of #; //Bin$=class scala/collection/immutable/LongMap$Bin$ of
 public abstract #= # of #; //Long=class scala/collection/generic/BitOperations$Long of class scala/collection/generic/BitOperations
 
 Compiled from "LongMap.scala"
-public abstract class scala.collection.immutable.LongMap extends scala.collection.immutable.AbstractMap implements scala.collection.immutable.Map,scala.collection.immutable.MapLike,scala.ScalaObject{
+public abstract class scala.collection.immutable.LongMap extends scala.collection.immutable.AbstractMap implements scala.collection.immutable.Map{
 public static scala.collection.immutable.LongMap singleton(long, java.lang.Object);
   Signature: (JLjava/lang/Object;)Lscala/collection/immutable/LongMap;
   Code:
diff --git c/scala/collection/immutable/LongMapUtils$.class w/scala/collection/immutable/LongMapUtils$.class
index 63b01de308..f87f0c0454 100644
--- c/scala/collection/immutable/LongMapUtils$.class
+++ w/scala/collection/immutable/LongMapUtils$.class
@@ -5,7 +5,7 @@ public abstract #= # of #; //Long=class scala/collection/generic/BitOperations$L
 public abstract #= # of #; //Long$class=class scala/collection/generic/BitOperations$Long$class of class scala/collection/generic/BitOperations
 
 Compiled from "LongMap.scala"
-public final class scala.collection.immutable.LongMapUtils$ extends java.lang.Object implements scala.collection.generic.BitOperations$Long,scala.ScalaObject{
+public final class scala.collection.immutable.LongMapUtils$ extends java.lang.Object implements scala.collection.generic.BitOperations$Long{
 public static final scala.collection.immutable.LongMapUtils$ MODULE$;
   Signature: Lscala/collection/immutable/LongMapUtils$;
 
diff --git c/scala/collection/immutable/Map$EmptyMap$.class w/scala/collection/immutable/Map$EmptyMap$.class
index b114e9d76b..83d24b400a 100644
--- c/scala/collection/immutable/Map$EmptyMap$.class
+++ w/scala/collection/immutable/Map$EmptyMap$.class
@@ -3,7 +3,7 @@ public #= # of #; //Map=class scala/collection/immutable/Map$Map of class scala/
 public final #= # of #; //EmptyMap$=class scala/collection/immutable/Map$EmptyMap$ of class scala/collection/immutable/Map
 
 Compiled from "Map.scala"
-public final class scala.collection.immutable.Map$EmptyMap$ extends scala.collection.immutable.AbstractMap implements scala.collection.immutable.Map,scala.Serializable,scala.ScalaObject{
+public final class scala.collection.immutable.Map$EmptyMap$ extends scala.collection.immutable.AbstractMap implements scala.collection.immutable.Map,scala.Serializable{
 public static final scala.collection.immutable.Map$EmptyMap$ MODULE$;
   Signature: Lscala/collection/immutable/Map$EmptyMap$;
 
diff --git c/scala/collection/immutable/Map$Map1.class w/scala/collection/immutable/Map$Map1.class
index 95ee660ec8..dd838b2c9c 100644
--- c/scala/collection/immutable/Map$Map1.class
+++ w/scala/collection/immutable/Map$Map1.class
@@ -3,7 +3,7 @@ public #= # of #; //Map=class scala/collection/immutable/Map$Map of class scala/
 public #= # of #; //Map=class scala/collection/immutable/Map$Map of class scala/collection/immutable/Map
 
 Compiled from "Map.scala"
-public class scala.collection.immutable.Map$Map1 extends scala.collection.immutable.AbstractMap implements scala.collection.immutable.Map,scala.Serializable,scala.ScalaObject{
+public class scala.collection.immutable.Map$Map1 extends scala.collection.immutable.AbstractMap implements scala.collection.immutable.Map,scala.Serializable{
 private final java.lang.Object key1;
   Signature: Ljava/lang/Object;
 
diff --git c/scala/collection/immutable/Map$Map2.class w/scala/collection/immutable/Map$Map2.class
index a3cb20e8a5..c3fb40574f 100644
--- c/scala/collection/immutable/Map$Map2.class
+++ w/scala/collection/immutable/Map$Map2.class
@@ -4,7 +4,7 @@ public #= # of #; //Map=class scala/collection/immutable/Map$Map of class scala/
 public #= # of #; //Map=class scala/collection/immutable/Map$Map of class scala/collection/immutable/Map
 
 Compiled from "Map.scala"
-public class scala.collection.immutable.Map$Map2 extends scala.collection.immutable.AbstractMap implements scala.collection.immutable.Map,scala.Serializable,scala.ScalaObject{
+public class scala.collection.immutable.Map$Map2 extends scala.collection.immutable.AbstractMap implements scala.collection.immutable.Map,scala.Serializable{
 private final java.lang.Object key1;
   Signature: Ljava/lang/Object;
 
diff --git c/scala/collection/immutable/Map$Map3.class w/scala/collection/immutable/Map$Map3.class
index a78356805d..c18d78e234 100644
--- c/scala/collection/immutable/Map$Map3.class
+++ w/scala/collection/immutable/Map$Map3.class
@@ -4,7 +4,7 @@ public #= # of #; //Map=class scala/collection/immutable/Map$Map of class scala/
 public #= # of #; //Map=class scala/collection/immutable/Map$Map of class scala/collection/immutable/Map
 
 Compiled from "Map.scala"
-public class scala.collection.immutable.Map$Map3 extends scala.collection.immutable.AbstractMap implements scala.collection.immutable.Map,scala.Serializable,scala.ScalaObject{
+public class scala.collection.immutable.Map$Map3 extends scala.collection.immutable.AbstractMap implements scala.collection.immutable.Map,scala.Serializable{
 private final java.lang.Object key1;
   Signature: Ljava/lang/Object;
 
diff --git c/scala/collection/immutable/Map$Map4.class w/scala/collection/immutable/Map$Map4.class
index 9e1dc5ca1b..90d62d2db8 100644
--- c/scala/collection/immutable/Map$Map4.class
+++ w/scala/collection/immutable/Map$Map4.class
@@ -3,7 +3,7 @@ public #= # of #; //Map=class scala/collection/immutable/Map$Map of class scala/
 public #= # of #; //Map=class scala/collection/immutable/Map$Map of class scala/collection/immutable/Map
 
 Compiled from "Map.scala"
-public class scala.collection.immutable.Map$Map4 extends scala.collection.immutable.AbstractMap implements scala.collection.immutable.Map,scala.Serializable,scala.ScalaObject{
+public class scala.collection.immutable.Map$Map4 extends scala.collection.immutable.AbstractMap implements scala.collection.immutable.Map,scala.Serializable{
 private final java.lang.Object key1;
   Signature: Ljava/lang/Object;
 
diff --git c/scala/collection/immutable/Map$WithDefault.class w/scala/collection/immutable/Map$WithDefault.class
index 536dd3bd18..c5d2fa4fba 100644
--- c/scala/collection/immutable/Map$WithDefault.class
+++ w/scala/collection/immutable/Map$WithDefault.class
@@ -4,7 +4,7 @@ public abstract #= # of #; //WithDefault=class scala/collection/Map$WithDefault
 public abstract #= # of #; //$less$colon$less=class scala/Predef$$less$colon$less of class scala/Predef
 
 Compiled from "Map.scala"
-public class scala.collection.immutable.Map$WithDefault extends scala.collection.Map$WithDefault implements scala.collection.immutable.Map,scala.ScalaObject{
+public class scala.collection.immutable.Map$WithDefault extends scala.collection.Map$WithDefault implements scala.collection.immutable.Map{
 private final scala.collection.immutable.Map underlying;
   Signature: Lscala/collection/immutable/Map;
 
diff --git c/scala/collection/immutable/Map.class w/scala/collection/immutable/Map.class
index 3d20ddfb50..af70a1bd82 100644
--- c/scala/collection/immutable/Map.class
+++ w/scala/collection/immutable/Map.class
@@ -8,7 +8,7 @@ public #= # of #; //WithDefault=class scala/collection/immutable/Map$WithDefault
 public abstract #= # of #; //$less$colon$less=class scala/Predef$$less$colon$less of class scala/Predef
 
 Compiled from "Map.scala"
-public interface scala.collection.immutable.Map extends scala.collection.immutable.Iterable,scala.collection.Map,scala.collection.immutable.MapLike,scala.ScalaObject{
+public interface scala.collection.immutable.Map extends scala.collection.immutable.Iterable,scala.collection.Map,scala.collection.immutable.MapLike{
 public abstract scala.collection.immutable.Map empty();
   Signature: ()Lscala/collection/immutable/Map;
 
diff --git c/scala/collection/immutable/MapLike$ImmutableDefaultKeySet.class w/scala/collection/immutable/MapLike$ImmutableDefaultKeySet.class
index 24e139ce1d..240b856fa9 100644
--- c/scala/collection/immutable/MapLike$ImmutableDefaultKeySet.class
+++ w/scala/collection/immutable/MapLike$ImmutableDefaultKeySet.class
@@ -3,7 +3,7 @@ public #= # of #; //DefaultKeySet=class scala/collection/MapLike$DefaultKeySet o
 public #= # of #; //ImmutableDefaultKeySet=class scala/collection/immutable/MapLike$ImmutableDefaultKeySet of class scala/collection/immutable/MapLike
 
 Compiled from "MapLike.scala"
-public class scala.collection.immutable.MapLike$ImmutableDefaultKeySet extends scala.collection.MapLike$DefaultKeySet implements scala.collection.immutable.Set,scala.ScalaObject{
+public class scala.collection.immutable.MapLike$ImmutableDefaultKeySet extends scala.collection.MapLike$DefaultKeySet implements scala.collection.immutable.Set{
 public final scala.collection.immutable.MapLike $outer;
   Signature: Lscala/collection/immutable/MapLike;
 
diff --git c/scala/collection/immutable/MapLike.class w/scala/collection/immutable/MapLike.class
index ac0ca4df69..0130d65a03 100644
--- c/scala/collection/immutable/MapLike.class
+++ w/scala/collection/immutable/MapLike.class
@@ -2,7 +2,7 @@ InnerClasses:
 public #= # of #; //ImmutableDefaultKeySet=class scala/collection/immutable/MapLike$ImmutableDefaultKeySet of class scala/collection/immutable/MapLike
 
 Compiled from "MapLike.scala"
-public interface scala.collection.immutable.MapLike extends scala.collection.MapLike,scala.collection.Parallelizable,scala.ScalaObject{
+public interface scala.collection.immutable.MapLike extends scala.collection.MapLike{
 public abstract scala.collection.parallel.Combiner parCombiner();
   Signature: ()Lscala/collection/parallel/Combiner;
 
diff --git c/scala/collection/immutable/MapProxy.class w/scala/collection/immutable/MapProxy.class
index fd7ccb55f1..7a965c8d9c 100644
--- c/scala/collection/immutable/MapProxy.class
+++ w/scala/collection/immutable/MapProxy.class
@@ -1,7 +1,7 @@
 InnerClasses:
 
 Compiled from "MapProxy.scala"
-public interface scala.collection.immutable.MapProxy extends scala.collection.immutable.Map,scala.collection.MapProxyLike,scala.ScalaObject{
+public interface scala.collection.immutable.MapProxy extends scala.collection.immutable.Map,scala.collection.MapProxyLike{
 public abstract scala.collection.immutable.MapProxy repr();
   Signature: ()Lscala/collection/immutable/MapProxy;
 
diff --git c/scala/collection/immutable/Nil$.class w/scala/collection/immutable/Nil$.class
index 1041df01da..6d44a4de1b 100644
--- c/scala/collection/immutable/Nil$.class
+++ w/scala/collection/immutable/Nil$.class
@@ -2,7 +2,7 @@ InnerClasses:
 public abstract #= # of #; //$less$colon$less=class scala/Predef$$less$colon$less of class scala/Predef
 
 Compiled from "List.scala"
-public final class scala.collection.immutable.Nil$ extends scala.collection.immutable.List implements scala.ScalaObject,scala.Product,scala.Serializable{
+public final class scala.collection.immutable.Nil$ extends scala.collection.immutable.List implements scala.Product,scala.Serializable{
 public static final scala.collection.immutable.Nil$ MODULE$;
   Signature: Lscala/collection/immutable/Nil$;
 
diff --git c/scala/collection/immutable/NumericRange.class w/scala/collection/immutable/NumericRange.class
index 50a50c350f..fdb5a2a893 100644
--- c/scala/collection/immutable/NumericRange.class
+++ w/scala/collection/immutable/NumericRange.class
@@ -6,7 +6,7 @@ public #= # of #; //Inclusive=class scala/collection/immutable/NumericRange$Incl
 public #= # of #; //Exclusive=class scala/collection/immutable/NumericRange$Exclusive of class scala/collection/immutable/NumericRange
 
 Compiled from "NumericRange.scala"
-public abstract class scala.collection.immutable.NumericRange extends scala.collection.AbstractSeq implements scala.collection.immutable.IndexedSeq,scala.Serializable,scala.ScalaObject{
+public abstract class scala.collection.immutable.NumericRange extends scala.collection.AbstractSeq implements scala.collection.immutable.IndexedSeq,scala.Serializable{
 private final java.lang.Object start;
   Signature: Ljava/lang/Object;
 
diff --git c/scala/collection/immutable/PagedSeq.class w/scala/collection/immutable/PagedSeq.class
index b2e9430b8f..8fcb75d9db 100644
--- c/scala/collection/immutable/PagedSeq.class
+++ w/scala/collection/immutable/PagedSeq.class
@@ -1,7 +1,7 @@
 InnerClasses:
 
 Compiled from "PagedSeq.scala"
-public class scala.collection.immutable.PagedSeq extends scala.collection.AbstractSeq implements scala.collection.IndexedSeq,scala.ScalaObject{
+public class scala.collection.immutable.PagedSeq extends scala.collection.AbstractSeq implements scala.collection.IndexedSeq{
 private final scala.Function3 more;
   Signature: Lscala/Function3;
 
diff --git c/scala/collection/immutable/Queue.class w/scala/collection/immutable/Queue.class
index f0d6579eb6..07a5f40932 100644
--- c/scala/collection/immutable/Queue.class
+++ w/scala/collection/immutable/Queue.class
@@ -2,7 +2,7 @@ InnerClasses:
 public final #= # of #; //EmptyQueue$=class scala/collection/immutable/Queue$EmptyQueue$ of class scala/collection/immutable/Queue
 
 Compiled from "Queue.scala"
-public class scala.collection.immutable.Queue extends scala.collection.AbstractSeq implements scala.collection.immutable.LinearSeq,scala.collection.generic.GenericTraversableTemplate,scala.collection.LinearSeqLike,scala.Serializable,scala.ScalaObject{
+public class scala.collection.immutable.Queue extends scala.collection.AbstractSeq implements scala.collection.immutable.LinearSeq,scala.Serializable{
 public static final long serialVersionUID;
   Signature: J
 
diff --git c/scala/collection/immutable/Range.class w/scala/collection/immutable/Range.class
index a73f1fd46c..3c942be5dc 100644
--- c/scala/collection/immutable/Range.class
+++ w/scala/collection/immutable/Range.class
@@ -9,7 +9,7 @@ public #= # of #; //Inclusive=class scala/collection/immutable/Range$Inclusive o
 public final #= # of #; //BigDecimal$=class scala/collection/immutable/Range$BigDecimal$ of class scala/collection/immutable/Range
 
 Compiled from "Range.scala"
-public class scala.collection.immutable.Range extends scala.collection.AbstractSeq implements scala.collection.immutable.IndexedSeq,scala.collection.CustomParallelizable,scala.Serializable,scala.ScalaObject{
+public class scala.collection.immutable.Range extends scala.collection.AbstractSeq implements scala.collection.immutable.IndexedSeq,scala.collection.CustomParallelizable,scala.Serializable{
 public static final long serialVersionUID;
   Signature: J
 
diff --git c/scala/collection/immutable/RedBlack$BlackTree.class w/scala/collection/immutable/RedBlack$BlackTree.class
index 505e8403fc..9fee10769b 100644
--- c/scala/collection/immutable/RedBlack$BlackTree.class
+++ w/scala/collection/immutable/RedBlack$BlackTree.class
@@ -4,7 +4,7 @@ public abstract #= # of #; //NonEmpty=class scala/collection/immutable/RedBlack$
 public #= # of #; //BlackTree=class scala/collection/immutable/RedBlack$BlackTree of class scala/collection/immutable/RedBlack
 
 Compiled from "RedBlack.scala"
-public class scala.collection.immutable.RedBlack$BlackTree extends scala.collection.immutable.RedBlack$NonEmpty implements scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.collection.immutable.RedBlack$BlackTree extends scala.collection.immutable.RedBlack$NonEmpty implements scala.Product,scala.Serializable{
 private final java.lang.Object key;
   Signature: Ljava/lang/Object;
 
diff --git c/scala/collection/immutable/RedBlack$Empty$.class w/scala/collection/immutable/RedBlack$Empty$.class
index bcd5cd6da8..91dfc5a9e7 100644
--- c/scala/collection/immutable/RedBlack$Empty$.class
+++ w/scala/collection/immutable/RedBlack$Empty$.class
@@ -5,7 +5,7 @@ public #= # of #; //RedTree=class scala/collection/immutable/RedBlack$RedTree of
 public abstract #= # of #; //NonEmpty=class scala/collection/immutable/RedBlack$NonEmpty of class scala/collection/immutable/RedBlack
 
 Compiled from "RedBlack.scala"
-public final class scala.collection.immutable.RedBlack$Empty$ extends scala.collection.immutable.RedBlack$Tree implements scala.ScalaObject,scala.Product,scala.Serializable{
+public final class scala.collection.immutable.RedBlack$Empty$ extends scala.collection.immutable.RedBlack$Tree implements scala.Product,scala.Serializable{
 public boolean isEmpty();
   Signature: ()Z
   Code:
diff --git c/scala/collection/immutable/RedBlack$RedTree.class w/scala/collection/immutable/RedBlack$RedTree.class
index 8398edd3e8..d7b3fdb6dc 100644
--- c/scala/collection/immutable/RedBlack$RedTree.class
+++ w/scala/collection/immutable/RedBlack$RedTree.class
@@ -4,7 +4,7 @@ public #= # of #; //RedTree=class scala/collection/immutable/RedBlack$RedTree of
 public abstract #= # of #; //NonEmpty=class scala/collection/immutable/RedBlack$NonEmpty of class scala/collection/immutable/RedBlack
 
 Compiled from "RedBlack.scala"
-public class scala.collection.immutable.RedBlack$RedTree extends scala.collection.immutable.RedBlack$NonEmpty implements scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.collection.immutable.RedBlack$RedTree extends scala.collection.immutable.RedBlack$NonEmpty implements scala.Product,scala.Serializable{
 private final java.lang.Object key;
   Signature: Ljava/lang/Object;
 
diff --git c/scala/collection/immutable/Seq.class w/scala/collection/immutable/Seq.class
index 3a1755f585..9405cc1363 100644
--- c/scala/collection/immutable/Seq.class
+++ w/scala/collection/immutable/Seq.class
@@ -1,6 +1,6 @@
 
 Compiled from "Seq.scala"
-public interface scala.collection.immutable.Seq extends scala.collection.immutable.Iterable,scala.collection.Seq,scala.collection.generic.GenericTraversableTemplate,scala.collection.SeqLike,scala.collection.Parallelizable,scala.ScalaObject{
+public interface scala.collection.immutable.Seq extends scala.collection.immutable.Iterable,scala.collection.Seq{
 public abstract scala.collection.generic.GenericCompanion companion();
   Signature: ()Lscala/collection/generic/GenericCompanion;
 
diff --git c/scala/collection/immutable/Set$EmptySet$.class w/scala/collection/immutable/Set$EmptySet$.class
index ae7e30eaa8..457020999c 100644
--- c/scala/collection/immutable/Set$EmptySet$.class
+++ w/scala/collection/immutable/Set$EmptySet$.class
@@ -3,7 +3,7 @@ public #= # of #; //Set=class scala/collection/immutable/Set$Set of class scala/
 public final #= # of #; //EmptySet$=class scala/collection/immutable/Set$EmptySet$ of class scala/collection/immutable/Set
 
 Compiled from "Set.scala"
-public final class scala.collection.immutable.Set$EmptySet$ extends scala.collection.AbstractSet implements scala.collection.immutable.Set,scala.Serializable,scala.ScalaObject{
+public final class scala.collection.immutable.Set$EmptySet$ extends scala.collection.AbstractSet implements scala.collection.immutable.Set,scala.Serializable{
 public static final scala.collection.immutable.Set$EmptySet$ MODULE$;
   Signature: Lscala/collection/immutable/Set$EmptySet$;
 
diff --git c/scala/collection/immutable/Set$Set1.class w/scala/collection/immutable/Set$Set1.class
index 3fd69003ae..90e2f98615 100644
--- c/scala/collection/immutable/Set$Set1.class
+++ w/scala/collection/immutable/Set$Set1.class
@@ -3,7 +3,7 @@ public #= # of #; //Set=class scala/collection/immutable/Set$Set of class scala/
 public #= # of #; //Set=class scala/collection/immutable/Set$Set of class scala/collection/immutable/Set
 
 Compiled from "Set.scala"
-public class scala.collection.immutable.Set$Set1 extends scala.collection.AbstractSet implements scala.collection.immutable.Set,scala.Serializable,scala.ScalaObject{
+public class scala.collection.immutable.Set$Set1 extends scala.collection.AbstractSet implements scala.collection.immutable.Set,scala.Serializable{
 public static final long serialVersionUID;
   Signature: J
 
diff --git c/scala/collection/immutable/Set$Set2.class w/scala/collection/immutable/Set$Set2.class
index 0424026c2b..105335199c 100644
--- c/scala/collection/immutable/Set$Set2.class
+++ w/scala/collection/immutable/Set$Set2.class
@@ -4,7 +4,7 @@ public #= # of #; //Set=class scala/collection/immutable/Set$Set of class scala/
 public #= # of #; //Set=class scala/collection/immutable/Set$Set of class scala/collection/immutable/Set
 
 Compiled from "Set.scala"
-public class scala.collection.immutable.Set$Set2 extends scala.collection.AbstractSet implements scala.collection.immutable.Set,scala.Serializable,scala.ScalaObject{
+public class scala.collection.immutable.Set$Set2 extends scala.collection.AbstractSet implements scala.collection.immutable.Set,scala.Serializable{
 public static final long serialVersionUID;
   Signature: J
 
diff --git c/scala/collection/immutable/Set$Set3.class w/scala/collection/immutable/Set$Set3.class
index 50bda85571..0641b8f01e 100644
--- c/scala/collection/immutable/Set$Set3.class
+++ w/scala/collection/immutable/Set$Set3.class
@@ -4,7 +4,7 @@ public #= # of #; //Set=class scala/collection/immutable/Set$Set of class scala/
 public #= # of #; //Set=class scala/collection/immutable/Set$Set of class scala/collection/immutable/Set
 
 Compiled from "Set.scala"
-public class scala.collection.immutable.Set$Set3 extends scala.collection.AbstractSet implements scala.collection.immutable.Set,scala.Serializable,scala.ScalaObject{
+public class scala.collection.immutable.Set$Set3 extends scala.collection.AbstractSet implements scala.collection.immutable.Set,scala.Serializable{
 public static final long serialVersionUID;
   Signature: J
 
diff --git c/scala/collection/immutable/Set$Set4.class w/scala/collection/immutable/Set$Set4.class
index a8736c137b..52d16b90bb 100644
--- c/scala/collection/immutable/Set$Set4.class
+++ w/scala/collection/immutable/Set$Set4.class
@@ -3,7 +3,7 @@ public #= # of #; //Set=class scala/collection/immutable/Set$Set of class scala/
 public #= # of #; //Set=class scala/collection/immutable/Set$Set of class scala/collection/immutable/Set
 
 Compiled from "Set.scala"
-public class scala.collection.immutable.Set$Set4 extends scala.collection.AbstractSet implements scala.collection.immutable.Set,scala.Serializable,scala.ScalaObject{
+public class scala.collection.immutable.Set$Set4 extends scala.collection.AbstractSet implements scala.collection.immutable.Set,scala.Serializable{
 public static final long serialVersionUID;
   Signature: J
 
diff --git c/scala/collection/immutable/Set.class w/scala/collection/immutable/Set.class
index 45030c0dc4..3a69063567 100644
--- c/scala/collection/immutable/Set.class
+++ w/scala/collection/immutable/Set.class
@@ -6,7 +6,7 @@ public #= # of #; //Set=class scala/collection/immutable/Set$Set of class scala/
 public final #= # of #; //EmptySet$=class scala/collection/immutable/Set$EmptySet$ of class scala/collection/immutable/Set
 
 Compiled from "Set.scala"
-public interface scala.collection.immutable.Set extends scala.collection.immutable.Iterable,scala.collection.Set,scala.collection.generic.GenericSetTemplate,scala.collection.SetLike,scala.collection.Parallelizable,scala.ScalaObject{
+public interface scala.collection.immutable.Set extends scala.collection.immutable.Iterable,scala.collection.Set{
 public abstract scala.collection.generic.GenericCompanion companion();
   Signature: ()Lscala/collection/generic/GenericCompanion;
 
diff --git c/scala/collection/immutable/SetProxy.class w/scala/collection/immutable/SetProxy.class
index 96718a3995..50cc588ad6 100644
--- c/scala/collection/immutable/SetProxy.class
+++ w/scala/collection/immutable/SetProxy.class
@@ -1,7 +1,7 @@
 InnerClasses:
 
 Compiled from "SetProxy.scala"
-public interface scala.collection.immutable.SetProxy extends scala.collection.immutable.Set,scala.collection.SetProxyLike,scala.ScalaObject{
+public interface scala.collection.immutable.SetProxy extends scala.collection.immutable.Set,scala.collection.SetProxyLike{
 public abstract scala.collection.immutable.SetProxy repr();
   Signature: ()Lscala/collection/immutable/SetProxy;
 
diff --git c/scala/collection/immutable/SortedMap$DefaultKeySortedSet.class w/scala/collection/immutable/SortedMap$DefaultKeySortedSet.class
index 1f6c361758..0df879da6c 100644
--- c/scala/collection/immutable/SortedMap$DefaultKeySortedSet.class
+++ w/scala/collection/immutable/SortedMap$DefaultKeySortedSet.class
@@ -3,7 +3,7 @@ public #= # of #; //DefaultKeySortedSet=class scala/collection/immutable/SortedM
 public #= # of #; //DefaultKeySortedSet=class scala/collection/SortedMapLike$DefaultKeySortedSet of class scala/collection/SortedMapLike
 
 Compiled from "SortedMap.scala"
-public class scala.collection.immutable.SortedMap$DefaultKeySortedSet extends scala.collection.SortedMapLike$DefaultKeySortedSet implements scala.collection.immutable.SortedSet,scala.ScalaObject{
+public class scala.collection.immutable.SortedMap$DefaultKeySortedSet extends scala.collection.SortedMapLike$DefaultKeySortedSet implements scala.collection.immutable.SortedSet{
 public final scala.collection.immutable.SortedMap $outer;
   Signature: Lscala/collection/immutable/SortedMap;
 
diff --git c/scala/collection/immutable/SortedMap.class w/scala/collection/immutable/SortedMap.class
index 16acb456a8..fe0ac2dddc 100644
--- c/scala/collection/immutable/SortedMap.class
+++ w/scala/collection/immutable/SortedMap.class
@@ -2,7 +2,7 @@ InnerClasses:
 public #= # of #; //DefaultKeySortedSet=class scala/collection/immutable/SortedMap$DefaultKeySortedSet of class scala/collection/immutable/SortedMap
 
 Compiled from "SortedMap.scala"
-public interface scala.collection.immutable.SortedMap extends scala.collection.immutable.Map,scala.collection.SortedMap,scala.collection.immutable.MapLike,scala.collection.SortedMapLike,scala.ScalaObject{
+public interface scala.collection.immutable.SortedMap extends scala.collection.immutable.Map,scala.collection.SortedMap{
 public abstract scala.collection.mutable.Builder newBuilder();
   Signature: ()Lscala/collection/mutable/Builder;
 
diff --git c/scala/collection/immutable/SortedSet.class w/scala/collection/immutable/SortedSet.class
index f4d20094f5..8f6d774337 100644
--- c/scala/collection/immutable/SortedSet.class
+++ w/scala/collection/immutable/SortedSet.class
@@ -1,6 +1,6 @@
 
 Compiled from "SortedSet.scala"
-public interface scala.collection.immutable.SortedSet extends scala.collection.immutable.Set,scala.collection.SortedSet,scala.collection.SortedSetLike,scala.ScalaObject{
+public interface scala.collection.immutable.SortedSet extends scala.collection.immutable.Set,scala.collection.SortedSet{
 public abstract scala.collection.immutable.SortedSet empty();
   Signature: ()Lscala/collection/immutable/SortedSet;
 
diff --git c/scala/collection/immutable/Stack.class w/scala/collection/immutable/Stack.class
index a46c7dce30..9ef86d90b5 100644
--- c/scala/collection/immutable/Stack.class
+++ w/scala/collection/immutable/Stack.class
@@ -1,7 +1,7 @@
 InnerClasses:
 
 Compiled from "Stack.scala"
-public class scala.collection.immutable.Stack extends scala.collection.AbstractSeq implements scala.collection.immutable.LinearSeq,scala.collection.generic.GenericTraversableTemplate,scala.collection.LinearSeqOptimized,scala.Serializable,scala.ScalaObject{
+public class scala.collection.immutable.Stack extends scala.collection.AbstractSeq implements scala.collection.immutable.LinearSeq,scala.collection.LinearSeqOptimized,scala.Serializable{
 public static final long serialVersionUID;
   Signature: J
 
diff --git c/scala/collection/immutable/Stream.class w/scala/collection/immutable/Stream.class
index 32d82fb525..dc75c42703 100644
--- c/scala/collection/immutable/Stream.class
+++ w/scala/collection/immutable/Stream.class
@@ -10,7 +10,7 @@ public #= # of #; //StreamCanBuildFrom=class scala/collection/immutable/Stream$S
 public #= # of #; //GenericCanBuildFrom=class scala/collection/generic/GenTraversableFactory$GenericCanBuildFrom of class scala/collection/generic/GenTraversableFactory
 
 Compiled from "Stream.scala"
-public abstract class scala.collection.immutable.Stream extends scala.collection.AbstractSeq implements scala.collection.immutable.LinearSeq,scala.collection.generic.GenericTraversableTemplate,scala.collection.LinearSeqOptimized,scala.ScalaObject{
+public abstract class scala.collection.immutable.Stream extends scala.collection.AbstractSeq implements scala.collection.immutable.LinearSeq,scala.collection.LinearSeqOptimized{
 public static scala.collection.immutable.Stream range(java.lang.Object, java.lang.Object, java.lang.Object, scala.math.Integral);
   Signature: (Ljava/lang/Object;Ljava/lang/Object;Ljava/lang/Object;Lscala/math/Integral;)Lscala/collection/immutable/Stream;
   Code:
diff --git c/scala/collection/immutable/StreamIterator.class w/scala/collection/immutable/StreamIterator.class
index 6f80168f8d..9a53df41d5 100644
--- c/scala/collection/immutable/StreamIterator.class
+++ w/scala/collection/immutable/StreamIterator.class
@@ -2,7 +2,7 @@ InnerClasses:
 public #= # of #; //LazyCell=class scala/collection/immutable/StreamIterator$LazyCell of class scala/collection/immutable/StreamIterator
 
 Compiled from "Stream.scala"
-public final class scala.collection.immutable.StreamIterator extends scala.collection.AbstractIterator implements scala.collection.Iterator,scala.ScalaObject{
+public final class scala.collection.immutable.StreamIterator extends scala.collection.AbstractIterator implements scala.collection.Iterator{
 public final scala.collection.immutable.Stream scala$collection$immutable$StreamIterator$$self;
   Signature: Lscala/collection/immutable/Stream;
 
